YAMLFIX(1)

NAME
yamlfix - A simple opinionated yaml formatter that keeps your comments!

SYNOPSIS
yamlfix [OPTIONS] FILES...

DESCRIPTION

    Corrects the source code of the specified files.

    Specify directory to recursively fix all yaml files in it.

    Use - to read from stdin. No other files can be specified in this case.

OPTIONS

--version
    Show the version and exit.

-v, --verbose
    Enable verbose logging.

--check
    Check if file(s) needs fixing. No files will be written in this case.

-c, --config-file TEXT
    Path to a custom configuration file.

--env-prefix TEXT
    Read yamlfix relevant environment variables starting with this prefix.

-e, --exclude TEXT
    Files matching this glob pattern will be ignored.

-i, --include TEXT
    Files matching this glob pattern will be included, unless they are also excluded. Default to '*.yaml' and '*.yml'.

--help
    Show this message and exit.